Linux webserver 6.8.0-49-generic #49~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Wed Nov 6 17:42:15 UTC 2 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.1.1 & Your IP : 13.59.51.100
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
snap /
core24 /
739 /
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
aa-load
38.75
KB
-rwxr-xr-x
2024-07-18 18:28
aa-remove-unknown
3.15
KB
-rwxr-xr-x
2024-07-18 18:28
aa-status
39.06
KB
-rwxr-xr-x
2024-07-18 18:28
aa-teardown
137
B
-rwxr-xr-x
2024-04-12 03:59
add-shell
1.03
KB
-rwxr-xr-x
2024-03-31 08:47
agetty
59.56
KB
-rwxr-xr-x
2024-08-09 02:33
apparmor_parser
1.55
MB
-rwxr-xr-x
2024-07-18 18:28
apparmor_status
39.06
KB
-rwxr-xr-x
2024-07-18 18:28
arpd
26.33
KB
-rwxr-xr-x
2024-03-31 09:00
arptables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
arptables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
badblocks
34.32
KB
-rwxr-xr-x
2024-04-28 23:44
blkdeactivate
15.97
KB
-rwxr-xr-x
2024-07-01 18:45
blkdiscard
22.38
KB
-rwxr-xr-x
2024-08-09 02:33
blkid
54.41
KB
-rwxr-xr-x
2024-08-09 02:33
blkzone
34.38
KB
-rwxr-xr-x
2024-08-09 02:33
blockdev
34.38
KB
-rwxr-xr-x
2024-08-09 02:33
bridge
108.49
KB
-rwxr-xr-x
2024-03-31 09:00
capsh
57.09
KB
-rwxr-xr-x
2024-04-08 16:01
cfdisk
94.73
KB
-rwxr-xr-x
2024-08-09 02:33
chcpu
30.38
KB
-rwxr-xr-x
2024-08-09 02:33
chgpasswd
58.32
KB
-rwxr-xr-x
2024-05-30 14:52
chmem
34.38
KB
-rwxr-xr-x
2024-08-09 02:33
chpasswd
54.43
KB
-rwxr-xr-x
2024-05-30 14:52
chroot
38.51
KB
-rwxr-xr-x
2024-04-05 14:36
cpgr
48.45
KB
-rwxr-xr-x
2024-05-30 14:52
cppw
48.45
KB
-rwxr-xr-x
2024-05-30 14:52
cryptdisks_start
1.51
KB
-rwxr-xr-x
2024-06-05 13:46
cryptdisks_stop
844
B
-rwxr-xr-x
2024-06-05 13:46
cryptsetup
225.9
KB
-rwxr-xr-x
2024-07-01 18:38
ctrlaltdel
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
dcb
80.52
KB
-rwxr-xr-x
2024-03-31 09:00
debugfs
225.87
KB
-rwxr-xr-x
2024-04-28 23:44
depmod
170.24
KB
-rwxr-xr-x
2024-04-18 10:06
devlink
150.86
KB
-rwxr-xr-x
2024-03-31 09:00
dhcpcd
395.4
KB
-rwxr-xr-x
2024-05-07 10:12
dmsetup
171.05
KB
-rwxr-xr-x
2024-07-01 18:45
dmstats
171.05
KB
-rwxr-xr-x
2024-07-01 18:45
dosfsck
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
dosfslabel
38.38
KB
-rwxr-xr-x
2024-03-31 08:49
dumpe2fs
34.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2freefrag
18.3
KB
-rwxr-xr-x
2024-04-28 23:44
e2fsck
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
e2image
42.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2label
110.56
KB
-rwxr-xr-x
2024-04-28 23:44
e2mmpstatus
34.31
KB
-rwxr-xr-x
2024-04-28 23:44
e2scrub
7.12
KB
-rwxr-xr-x
2024-04-28 23:44
e2scrub_all
5.27
KB
-rwxr-xr-x
2024-04-28 23:44
e2undo
22.3
KB
-rwxr-xr-x
2024-04-28 23:44
e4crypt
30.38
KB
-rwxr-xr-x
2024-04-28 23:44
e4defrag
34.3
KB
-rwxr-xr-x
2024-04-28 23:44
ebtables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ebtables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
faillock
22.31
KB
-rwxr-xr-x
2024-05-02 22:20
fatlabel
38.38
KB
-rwxr-xr-x
2024-03-31 08:49
fdisk
114.42
KB
-rwxr-xr-x
2024-08-09 02:33
filefrag
18.32
KB
-rwxr-xr-x
2024-04-28 23:44
findfs
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
fsck
42.42
KB
-rwxr-xr-x
2024-08-09 02:33
fsck.cramfs
30.44
KB
-rwxr-xr-x
2024-08-09 02:33
fsck.ext2
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.ext3
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.ext4
364.34
KB
-rwxr-xr-x
2024-04-28 23:44
fsck.fat
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsck.minix
54.41
KB
-rwxr-xr-x
2024-08-09 02:33
fsck.msdos
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsck.vfat
78.38
KB
-rwxr-xr-x
2024-03-31 08:49
fsfreeze
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
fstab-decode
14.3
KB
-rwxr-xr-x
2024-04-08 16:20
fstrim
42.38
KB
-rwxr-xr-x
2024-08-09 02:33
genl
120.58
KB
-rwxr-xr-x
2024-03-31 09:00
getcap
14.3
KB
-rwxr-xr-x
2024-04-08 16:01
getpcaps
14.3
KB
-rwxr-xr-x
2024-04-08 16:01
getty
59.56
KB
-rwxr-xr-x
2024-08-09 02:33
groupadd
71.13
KB
-rwxr-xr-x
2024-05-30 14:52
groupdel
62.91
KB
-rwxr-xr-x
2024-05-30 14:52
groupmems
58.34
KB
-rwxr-xr-x
2024-05-30 14:52
groupmod
71.04
KB
-rwxr-xr-x
2024-05-30 14:52
grpck
58.32
KB
-rwxr-xr-x
2024-05-30 14:52
grpconv
50.16
KB
-rwxr-xr-x
2024-05-30 14:52
grpunconv
50.16
KB
-rwxr-xr-x
2024-05-30 14:52
halt
1.43
MB
-rwxr-xr-x
2024-08-08 14:51
iconvconfig
34.47
KB
-rwxr-xr-x
2024-08-08 14:47
init
98.45
KB
-rwxr-xr-x
2024-08-08 14:51
insmod
170.24
KB
-rwxr-xr-x
2024-04-18 10:06
installkernel
2.6
KB
-rwxr-xr-x
2024-03-31 08:47
integritysetup
67.06
KB
-rwxr-xr-x
2024-07-01 18:38
invoke-rc.d
16.13
KB
-rwxr-xr-x
2023-12-06 07:46
ip
702.05
KB
-rwxr-xr-x
2022-03-24 11:56
ip6tables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-apply
6.89
KB
-rwxr-xr-x
2023-08-12 22:33
ip6tables-legacy
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-legacy-restore
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-legacy-save
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-restore-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
ip6tables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-apply
6.89
KB
-rwxr-xr-x
2023-08-12 22:33
iptables-legacy
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-legacy-restore
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-legacy-save
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-nft-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-restore
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-restore-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-save
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
iptables-translate
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
isosize
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
killall5
26.23
KB
-rwxr-xr-x
2024-04-08 16:20
ldattach
26.38
KB
-rwxr-xr-x
2024-08-09 02:33
ldconfig
387
B
-rwxr-xr-x
2024-08-08 14:47
ldconfig.real
1
MB
-rwxr-xr-x
2024-08-08 14:47
logsave
14.16
KB
-rwxr-xr-x
2024-04-28 23:44
losetup
74.52
KB
-rwxr-xr-x
2024-08-09 02:33
lsmod
170.24
KB
-rwxr-xr-x
2024-04-18 10:06
mkdosfs
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mke2fs
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
mkfs.bfs
22.38
KB
-rwxr-xr-x
2024-08-09 02:33
mkfs.cramfs
34.32
KB
-rwxr-xr-x
2024-08-09 02:33
mkfs.ext2
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.ext3
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.ext4
130.62
KB
-rwxr-xr-x
2024-04-28 23:44
mkfs.fat
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkfs.minix
42.39
KB
-rwxr-xr-x
2024-08-09 02:33
mkfs.msdos
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkfs.vfat
50.83
KB
-rwxr-xr-x
2024-03-31 08:49
mkhomedir_helper
22.34
KB
-rwxr-xr-x
2024-05-02 22:20
mklost+found
14.3
KB
-rwxr-xr-x
2024-04-28 23:44
mkswap
50.38
KB
-rwxr-xr-x
2024-08-09 02:33
modinfo
170.24
KB
-rwxr-xr-x
2024-04-18 10:06
modprobe
170.24
KB
-rwxr-xr-x
2024-04-18 10:06
netplan
802
B
-rwxr-xr-x
2024-07-03 12:43
newusers
86.96
KB
-rwxr-xr-x
2024-05-30 14:52
nfnl_osf
18.3
KB
-rwxr-xr-x
2024-04-08 15:59
nologin
14.3
KB
-rwxr-xr-x
2024-05-30 14:52
pam_extrausers_chkpwd
26.31
KB
-rwxr-sr-x
2024-05-02 22:20
pam_extrausers_update
34.31
KB
-rwxr-xr-x
2024-05-02 22:20
pam_namespace_helper
467
B
-rwxr-xr-x
2024-05-02 22:20
pam_timestamp_check
14.31
KB
-rwxr-xr-x
2024-05-02 22:20
pivot_root
14.38
KB
-rwxr-xr-x
2024-08-09 02:33
plymouthd
146.57
KB
-rwxr-xr-x
2024-03-31 08:14
poweroff
1.43
MB
-rwxr-xr-x
2024-08-08 14:51
pwck
54.29
KB
-rwxr-xr-x
2024-05-30 14:52
pwconv
46.16
KB
-rwxr-xr-x
2024-05-30 14:52
pwhistory_helper
22.31
KB
-rwxr-xr-x
2024-05-02 22:20
pwunconv
46.16
KB
-rwxr-xr-x
2024-05-30 14:52
readprofile
22.41
KB
-rwxr-xr-x
2024-08-09 02:33
reboot
1.43
MB
-rwxr-xr-x
2024-08-08 14:51
remove-shell
1.08
KB
-rwxr-xr-x
2024-03-31 08:47
resize2fs
70.3
KB
-rwxr-xr-x
2024-04-28 23:44
resolvconf
158.67
KB
-rwxr-xr-x
2024-08-08 14:51
rfkill
30.23
KB
-rwxr-xr-x
2024-08-09 02:33
rmmod
170.24
KB
-rwxr-xr-x
2024-04-18 10:06
rmt
54.71
KB
-rwxr-xr-x
2024-04-08 16:20
rmt-tar
54.71
KB
-rwxr-xr-x
2024-04-08 16:20
rtacct
28.31
KB
-rwxr-xr-x
2024-03-31 09:00
rtcwake
34.38
KB
-rwxr-xr-x
2024-08-09 02:33
rtmon
116.52
KB
-rwxr-xr-x
2024-03-31 09:00
runlevel
1.43
MB
-rwxr-xr-x
2024-08-08 14:51
runuser
54.38
KB
-rwxr-xr-x
2024-08-09 02:33
service
8.89
KB
-rwxr-xr-x
2023-12-06 07:50
setcap
14.3
KB
-rwxr-xr-x
2024-04-08 16:01
sfdisk
106.38
KB
-rwxr-xr-x
2024-08-09 02:33
shadowconfig
2.22
KB
-rwxr-xr-x
2024-05-07 13:44
shutdown
1.43
MB
-rwxr-xr-x
2024-08-08 14:51
sshd
895.82
KB
-rwxr-xr-x
2024-08-09 02:33
start-stop-daemon
47.49
KB
-rwxr-xr-x
2024-03-30 23:51
sudo_logsrvd
248.5
KB
-rwxr-xr-x
2024-04-08 14:50
sudo_sendlog
131.67
KB
-rwxr-xr-x
2024-04-08 14:50
sulogin
42.38
KB
-rwxr-xr-x
2024-08-09 02:33
swaplabel
18.38
KB
-rwxr-xr-x
2024-08-09 02:33
swapoff
22.38
KB
-rwxr-xr-x
2024-08-09 02:33
swapon
42.38
KB
-rwxr-xr-x
2024-08-09 02:33
switch_root
22.38
KB
-rwxr-xr-x
2024-08-09 02:33
sysctl
30.38
KB
-rwxr-xr-x
2024-09-26 08:44
tarcat
936
B
-rwxr-xr-x
2024-01-01 21:15
tc
630.08
KB
-rwxr-xr-x
2024-03-31 09:00
telinit
1.43
MB
-rwxr-xr-x
2024-08-08 14:51
tipc
90.52
KB
-rwxr-xr-x
2024-03-31 09:00
tune2fs
110.56
KB
-rwxr-xr-x
2024-04-28 23:44
ub-device-create
22.32
KB
-rwxr-xr-x
2024-09-26 07:05
unix_chkpwd
30.31
KB
-rwxr-sr-x
2024-05-02 22:20
unix_update
34.31
KB
-rwxr-xr-x
2024-05-02 22:20
update-ca-certificates
5.32
KB
-rwxr-xr-x
2024-02-04 09:41
update-passwd
34.56
KB
-rwxr-xr-x
2024-04-08 15:54
update-shells
3.89
KB
-rwxr-xr-x
2024-03-31 08:47
useradd
139.88
KB
-rwxr-xr-x
2024-05-30 14:52
userdel
91.01
KB
-rwxr-xr-x
2024-05-30 14:52
usermod
127.65
KB
-rwxr-xr-x
2024-05-30 14:52
vdpa
34.56
KB
-rwxr-xr-x
2024-03-31 09:00
veritysetup
43.94
KB
-rwxr-xr-x
2024-07-01 18:38
vigr
60.69
KB
-rwxr-xr-x
2024-05-30 14:52
vipw
60.69
KB
-rwxr-xr-x
2024-05-30 14:52
visudo
248.71
KB
-rwxr-xr-x
2024-04-08 14:50
wipefs
38.38
KB
-rwxr-xr-x
2024-08-09 02:33
wpa_action
1.69
KB
-rwxr-xr-x
2023-12-25 09:47
wpa_cli
140.31
KB
-rwxr-xr-x
2024-08-02 12:06
wpa_supplicant
3.21
MB
-rwxr-xr-x
2024-08-02 12:06
xtables-legacy-multi
92.95
KB
-rwxr-xr-x
2024-04-08 15:59
xtables-monitor
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
xtables-nft-multi
219.16
KB
-rwxr-xr-x
2024-04-08 15:59
zic
66.39
KB
-rwxr-xr-x
2024-08-08 14:47
zramctl
54.52
KB
-rwxr-xr-x
2024-08-09 02:33
Save
Rename
#!/bin/sh # SPDX-License-Identifier: GPL-2.0-or-later # Copyright 2021 Helmut Grohne <helmut@subdivi.de> # A "hashset" is a shell variable containing a sequence of elements separated # and surrounded by hash (#) characters. None of the elements may contain a # hash character. The character is thus chosen, because it initiates a comment # in /etc/shells. All variables ending in _SHELLS in this file are hashsets. set -e # Check whether hashset $1 contains element $2. hashset_contains() { case "$1" in *"#$2#"*) return 0 ;; *) return 1 ;; esac } log() { if [ "$VERBOSE" = 1 ]; then echo "$*" fi } ROOT=${DPKG_ROOT:-} VERBOSE=0 NOACT=0 while [ $# -gt 0 ]; do case "$1" in --help) cat <<EOF usage: $0 [options] --no-act Do not move the actual update into place --verbose Be more verbose --root DIR Operate on the given chroot, defaults to / EOF exit 0 ;; --no-act) NOACT=1 ;; --root) shift if [ "$#" -lt 1 ]; then echo "missing argument to --root" 1>&2 exit 1 fi ROOT=$1 ;; --verbose) VERBOSE=1 ;; *) echo "unrecognized option $1" 1>&2 exit 1 ;; esac shift done PKG_DIR="$ROOT/usr/share/debianutils/shells.d" STATE_FILE="$ROOT/var/lib/shells.state" TEMPLATE_ETC_FILE="$ROOT/usr/share/debianutils/shells" TARGET_ETC_FILE="$ROOT/etc/shells" SOURCE_ETC_FILE="$TARGET_ETC_FILE" NEW_ETC_FILE="$TARGET_ETC_FILE.tmp" NEW_STATE_FILE="$STATE_FILE.tmp" if ! test -e "$SOURCE_ETC_FILE"; then SOURCE_ETC_FILE="$TEMPLATE_ETC_FILE" fi PKG_SHELLS='#' LC_COLLATE=C.UTF-8 # glob in reproducible order for f in "$TEMPLATE_ETC_FILE" "$PKG_DIR/"*; do test -f "$f" || continue while IFS='#' read -r line _; do [ -n "$line" ] || continue PKG_SHELLS="$PKG_SHELLS$line#" realshell=$(dpkg-realpath --root "$ROOT" "$(dirname "$line")")/$(basename "$line") if [ "$line" != "$realshell" ]; then PKG_SHELLS="$PKG_SHELLS$realshell#" fi done < "$f" done STATE_SHELLS='#' if [ -e "$STATE_FILE" ] ; then while IFS='#' read -r line _; do [ -n "$line" ] && STATE_SHELLS="$STATE_SHELLS$line#" done < "$STATE_FILE" fi cleanup() { rm -f "$NEW_ETC_FILE" "$NEW_STATE_FILE" } trap cleanup EXIT : > "$NEW_ETC_FILE" ETC_SHELLS='#' while IFS= read -r line; do shell=${line%%#*} # copy all comment lines, packaged shells and local additions if [ -z "$shell" ] || hashset_contains "$PKG_SHELLS" "$shell" || ! hashset_contains "$STATE_SHELLS" "$shell"; then if [ -z "$shell" ] || ! hashset_contains "$ETC_SHELLS" "$shell"; then echo "$line" >> "$NEW_ETC_FILE" ETC_SHELLS="$ETC_SHELLS$shell#" fi else log "removing shell $shell" fi done < "$SOURCE_ETC_FILE" : > "$NEW_STATE_FILE" saved_IFS=$IFS IFS='#' set -f # shellcheck disable=SC2086 # word splitting intended, globbing disabled set -- ${PKG_SHELLS###} set +f IFS=$saved_IFS for shell; do echo "$shell" >> "$NEW_STATE_FILE" # add shells that are neither already present nor locally removed if ! hashset_contains "$ETC_SHELLS" "$shell" && ! hashset_contains "$STATE_SHELLS" "$shell"; then echo "$shell" >> "$NEW_ETC_FILE" log "adding shell $shell" fi done if [ "$NOACT" = 0 ]; then if [ -e "$STATE_FILE" ]; then chmod --reference="${STATE_FILE}" "${NEW_STATE_FILE}" || chmod $(stat -c %a "${STATE_FILE}") "${NEW_STATE_FILE}" chown --reference="${STATE_FILE}" "${NEW_STATE_FILE}" || chown $(stat -c %U "${STATE_FILE}") "${NEW_STATE_FILE}" else chmod 0644 "$NEW_STATE_FILE" fi chmod --reference="${SOURCE_ETC_FILE}" "${NEW_ETC_FILE}" || chmod $(stat -c %a "${SOURCE_ETC_FILE}") "${NEW_ETC_FILE}" chown --reference="${SOURCE_ETC_FILE}" "${NEW_ETC_FILE}" || chown $(stat -c %U "${SOURCE_ETC_FILE}") "${NEW_ETC_FILE}" sync -d "$NEW_ETC_FILE" "$NEW_STATE_FILE" mv -Z "${NEW_ETC_FILE}" "${TARGET_ETC_FILE}" || mv "${NEW_ETC_FILE}" "${TARGET_ETC_FILE}" sync "$TARGET_ETC_FILE" sync "$(dirname "$TARGET_ETC_FILE")" mv "$NEW_STATE_FILE" "$STATE_FILE" sync "$STATE_FILE" sync "$(dirname "$STATE_FILE")" trap "" EXIT fi